Subject: Re: bug#751: Update: crash due to fvwm window manager crash

From: Stefan Schippers <[email-masked]>
Date: Tue, 14 Mar 2023 23:16:01 +0100

Hi, Mark

Thank you for the info.

I confirm that downgrading the following packages to 1.8.3-3:

libx11-6
libx11-data
libx11-dev
libx11-xcb-dev
libx11-xcb1

fixes completely my (fvwm) window manager crashes.

I have marked on 'hold' the above packages to prevent upgrades until it gets fixed.

A huge number of packages depend on this library, so I hope the regression will be addressed.

Stefan

On 3/14/23 18:14, Mark Hindley wrote:
> Control: reassign -1 libx11
> Control: forcemerge 746 -1
>
> Stefan,
>
> Thanks for this.
>
> On Tue, Mar 14, 2023 at 03:57:53PM +0100, Stefan Schippers wrote:
>> Package: xserver-xorg-core
>>
>> The bug seems not related to xorg but to the fvwm window manager crash. I ran the window manager with gdb and was able to reliably make it crash by some mouse activity.
>>
>> (gdb) run
>> Starting program: /usr/bin/fvwm
>> [Thread debugging using libthread_db enabled]
>> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
>> [Detaching after fork from child process 4851]
>> [Detaching after vfork from child process 4864]
>> Warning: Arg --fvwm-icons is obsolete and ignored
>> Python module python-xdg not found.fvwm: ../../src/xcb_io.c:626: _XAllocID: Assertion `ret != inval_id' failed.
> Actually, this appears the same as #746[1]. In particular see
> https://bugs.devuan.org/cgi/bugreport.cgi?bug=746#101 which is the same error in German.
>
> Klaus reported it to Debian[2]. He also worked around[3] by downgrading
> libx11-6, libx11-data and libx11-xcb1.
>
> Mark
>
> [1]  http://bugs.devuan.org/746
>
> [2] https://bugs.debian.org/1032379
>
> [3]  https://bugs.devuan.org/cgi/bugreport.cgi?bug=746#121
>